// ==UserScript==
// @name         Webalyzer Monthly Data
// @description  Getting data out of a web table demonstrated with monthly data in Webalyzer
// @version      1
// @author       mist
// @homepageURL  http://blechtrottel.net/en/
// @grant        GM.setClipboard
// ==/UserScript==

var tables = document.getElementsByTagName("table");
var monthlydata = tables[0].getElementsByTagName("b");

function Clipboard() {
  var statdata = Statdata(0, 5, 1);
  statdata += "\n";
  var searchdata = tables[10].getElementsByTagName("th");
  var searchvalue = searchdata[1].firstChild.nodeValue;
  searchvalue = searchvalue.replace(" Total Search Strings", "");
  searchvalue = searchvalue.replace(/Top.*of /, "");
  statdata += searchvalue;
  GM.setClipboard(statdata, "text");
  alert("Data copied to clipboard");
}

function Statdata(start, end, plus) {
  var statdata = "";
  var i = start;
  while (i<end) {
    statdata += monthlydata[i].firstChild.nodeValue;
    if (i<end-1) { statdata += "\n"; }
    i += plus;
  }
  return statdata;
}

Clipboard();