// ==UserScript==
// @name         Webalyzer Monatsdaten 1.0
// @description   Daten aus einer Webtabelle holen am Beispiel von Monatsdaten in Webalyzer
// @version      1
// @author       mist
// @homepageURL  http://blechtrottel.net
// @grant        GM.setClipboard
// ==/UserScript==

var tables = document.getElementsByTagName("table");
var monatsdaten = tables[0].getElementsByTagName("b");

function Zwischenablage() {
  var daten = Daten(0, 5, 1);
  daten += "\n";
  var suchdaten = tables[10].getElementsByTagName("th");
  var wert = suchdaten[1].firstChild.nodeValue;
  wert = wert.replace(" Total Search Strings", "")
  wert = wert.replace(/Top.*of /, "");
  daten += wert;
  GM.setClipboard(daten, "text");
  alert("Daten in Zwischenablage kopiert");
}

function Daten(start, ende, plus) {
  var daten = ""
  var i = start;
  while (i<ende) {
    daten += monatsdaten[i].firstChild.nodeValue;
    if (i<ende-1) { daten += "\n" }
    i = i+plus;
  }
  return daten;
}

Zwischenablage();